package com.muyu.quest.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 节点对象 node_source
 *
 * @author 2112A
 * @date 2024-08-22
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Node extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    private Long id;

    /** 节点编码 */
    @Excel(name = "节点编码")
    private String nodeCode;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeName;

    /** 节点入参 */
    @Excel(name = "节点入参")
    private String nodeReq;

    /** 节点出参 */
    @Excel(name = "节点出参")
    private String nodeResp;

    /** 上一级节点 */
    @Excel(name = "上一级节点")
    private String nodePreCode;

    /** 下一级节点 */
    @Excel(name = "下一级节点")
    private String nodeNextCode;

    /** 启用状态 */
    @Excel(name = "启用状态")
    private String state;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNodeCode(String nodeCode)
    {
        this.nodeCode = nodeCode;
    }

    public String getNodeCode()
    {
        return nodeCode;
    }
    public void setNodeName(String nodeName)
    {
        this.nodeName = nodeName;
    }

    public String getNodeName()
    {
        return nodeName;
    }
    public void setNodeReq(String nodeReq)
    {
        this.nodeReq = nodeReq;
    }

    public String getNodeReq()
    {
        return nodeReq;
    }
    public void setNodeResp(String nodeResp)
    {
        this.nodeResp = nodeResp;
    }

    public String getNodeResp()
    {
        return nodeResp;
    }
    public void setNodePreCode(String nodePreCode)
    {
        this.nodePreCode = nodePreCode;
    }

    public String getNodePreCode()
    {
        return nodePreCode;
    }
    public void setNodeNextCode(String nodeNextCode)
    {
        this.nodeNextCode = nodeNextCode;
    }

    public String getNodeNextCode()
    {
        return nodeNextCode;
    }
    public void setState(String state)
    {
        this.state = state;
    }

    public String getState()
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("nodeCode", getNodeCode())
            .append("nodeName", getNodeName())
            .append("nodeReq", getNodeReq())
            .append("nodeResp", getNodeResp())
            .append("nodePreCode", getNodePreCode())
            .append("nodeNextCode", getNodeNextCode())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
